В Ubuntu 13.10 отсутствуют некоторые пакеты Bazaar (особенно bzr-svn)

Опция -o указывает youtube-dl, как форматировать целевой путь и имя ваших видео (не только каталог). Вид нелогичного.

Из youtube-dl(1) README или руководства :

-o, --output TEMPLATE

Шаблон вывода имени файла, см. «ШАБЛОН ВЫХОДА» для получения всей информации

blockquote>

Так что вам нужно что-то вроде:

youtube-dl -o "$HOME/Videos/%(title)s.%(ext)s" 'http://www.youtube.com/watch?v=P0YiWsAM0O8'

Чтобы указать что-то отличное от значения по умолчанию %(title)s-%(id)s.%(ext)s. Я предполагаю, что вы, скорее всего, захотите просто перейти в папку ~/Videos и запустить youtube-dl, но без параметров там.

3
задан 16.04.2020, 17:07

1 ответ

bzr-svn и bzr-gtk более не поддерживаются в апстриме и их пакеты не установлены в Debian / Ubuntu. По этой причине пакеты были удалены в Debian sid, и это удаление произошло до Ubuntu 13.10.

Насколько я знаю, никто не работает над повторным введением этих пакетов, хотя было бы замечательно, если бы кто-то вышел.

Все еще возможно вручную установить плагины, но некоторые функциональные возможности будут нарушены (SVN 1.7, который является частью 13.10, имеет некоторые изменения поведения по сравнению с более ранними версиями).

 % apt-get install python-subvertpy
 % mkdir -p ~/.bazaar/plugins
 % bzr branch lp:bzr-svn ~/.bazaar/plugins/svn
 % bzr branch lp:bzr-gtk ~/.bazaar/plugins/gtk 
3
ответ дан 16.04.2020, 17:07
  • 1
    I' ve добавил некоторые инструкции к ответу. YMMV – eshizhan 16.04.2020, 17:08
  • 2
    Спасибо за Ваш ответ. Это печально для тех так полезные проекты (особенно bzr-svn).:-(Там возможность получить пакеты от более старой версии (13.04, например) и установить их (вручную?) на 13,10? – Kay 16.04.2020, 17:08

Теги

Похожие вопросы